GNU bug report logs - #34589
26.1.91; GDB-MI Display Complex Data Types

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>; dated Wed, 20 Feb 2019 10:10:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 34589 <at> debbugs.gnu.org:


Received: (at 34589) by debbugs.gnu.org; 30 Sep 2020 18:30:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 30 14:30:56 2020
Received: from localhost ([127.0.0.1]:33098 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNgsR-000651-Ny
	for submit <at> debbugs.gnu.org; Wed, 30 Sep 2020 14:30:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58726)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kNgsP-00064k-D4
 for 34589 <at> debbugs.gnu.org; Wed, 30 Sep 2020 14:30:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41210)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kNgsJ-00008b-Ox; Wed, 30 Sep 2020 14:30:47 -0400
Received: from [176.228.60.248] (port=3317 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kNgsJ-0000YD-6B; Wed, 30 Sep 2020 14:30:47 -0400
Date: Wed, 30 Sep 2020 21:30:40 +0300
Message-Id: <837dsbi0bz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87v9fvyw6f.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 30 Sep 2020 20:08:24 +0200)
Subject: Re: bug#34589: 26.1.91; GDB-MI Display Complex Data Types
References: <CABehr5eM22py479W2mS0cpGrfy2TeHRyMkWNnzGc+kcNHWwaVw@HIDDEN>
 <83wolugz2r.fsf@HIDDEN>
 <CABehr5cEUkmz-QUu4Gkb4-OmaU4XLNuTgP8NOaXfJUnwuBV0Ng@HIDDEN>
 <83va1aq1ui.fsf@HIDDEN>
 <CABehr5dzJXvkD4s2VsVQ=uHqbn5va+3cmMQAPy1CW=VXRBrPdg@HIDDEN>
 <83o972pz92.fsf@HIDDEN>
 <CABehr5f332Fca7kxbJw9QSwYWP352=CU13=RiH9vLHCdKHWGUA@HIDDEN>
 <E1gzvK5-00020E-R4@HIDDEN>
 <CABehr5c8s84tgVp5pNogG7uCwkWX-dzYgO_wvu2OKwfJe2KWcg@HIDDEN>
 <83zhqbe2og.fsf@HIDDEN>
 <CABehr5fY_-irLDUgyfrN2XOwESdS6YJ5rsZFw19pEJOizCLAEA@HIDDEN>
 <83va0tag67.fsf@HIDDEN>
 <CABehr5eX5KDVNcV9cXMNdzdW7t5U3QpcRghAXJ8J_j_dmT1sXg@HIDDEN>
 <87v9fvyw6f.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34589
Cc: 34589 <at> debbugs.gnu.org, gustaf.waldemarson@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Wed, 30 Sep 2020 20:08:24 +0200
> Cc: 34589 <at> debbugs.gnu.org
> 
> Gustaf Waldemarson <gustaf.waldemarson@HIDDEN> writes:
> 
> > After quite some time here, I have finally been able to get the proper
> > legal confirmation from Arm to submit patches. As far as I understand
> > things, any patch that I submit for Emacs will now have the copyright
> > correctly reassigned and should now be usable without any issues.
> 
> Great!  Your patch didn't apply cleanly to Emacs 28, so I've respun it
> (included below).
> 
> There was unfortunately no followup on this at the time, and I'm not
> exactly a gdb expert (cough cough).

This is a new feature, so it can only break itself, no?

> Could somebody give this a look-over?  It looks good to me, but I
> haven't tested it.

If the OP could propose a simple sequence of commands to try, I could
run them and see if I have any comments.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34589; Package emacs. Full text available.

Message received at 34589 <at> debbugs.gnu.org:


Received: (at 34589) by debbugs.gnu.org; 30 Sep 2020 18:08:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 30 14:08:37 2020
Received: from localhost ([127.0.0.1]:33066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNgWr-0005WQ-0w
	for submit <at> debbugs.gnu.org; Wed, 30 Sep 2020 14:08:37 -0400
Received: from quimby.gnus.org ([95.216.78.240]:48288)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kNgWo-0005WC-SQ
 for 34589 <at> debbugs.gnu.org; Wed, 30 Sep 2020 14:08:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=nrheQT/5puBFBaVQJL8O3XJ5i0HReakjlK5IeMYFIHY=; b=qx4AwHfXTbeooaGTos+Se/B0op
 kSqteV0fVkxB5cZ0bOP5QLOaxEHoykhv2RQ1rUJDXwoczTqdupRUr1NaEqcbOuz6BvwfzdjnM9crn
 QJ+y6DByjpfj3L2YEUPzJZ9lugMBcKu0jPYZDH2e87Iy9RZK3+ANfo03raNh21a3WPA4=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kNgWf-0004I5-Pp; Wed, 30 Sep 2020 20:08:28 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
Subject: Re: bug#34589: 26.1.91; GDB-MI Display Complex Data Types
References: <CABehr5eM22py479W2mS0cpGrfy2TeHRyMkWNnzGc+kcNHWwaVw@HIDDEN>
 <83wolugz2r.fsf@HIDDEN>
 <CABehr5cEUkmz-QUu4Gkb4-OmaU4XLNuTgP8NOaXfJUnwuBV0Ng@HIDDEN>
 <83va1aq1ui.fsf@HIDDEN>
 <CABehr5dzJXvkD4s2VsVQ=uHqbn5va+3cmMQAPy1CW=VXRBrPdg@HIDDEN>
 <83o972pz92.fsf@HIDDEN>
 <CABehr5f332Fca7kxbJw9QSwYWP352=CU13=RiH9vLHCdKHWGUA@HIDDEN>
 <E1gzvK5-00020E-R4@HIDDEN>
 <CABehr5c8s84tgVp5pNogG7uCwkWX-dzYgO_wvu2OKwfJe2KWcg@HIDDEN>
 <83zhqbe2og.fsf@HIDDEN>
 <CABehr5fY_-irLDUgyfrN2XOwESdS6YJ5rsZFw19pEJOizCLAEA@HIDDEN>
 <83va0tag67.fsf@HIDDEN>
 <CABehr5eX5KDVNcV9cXMNdzdW7t5U3QpcRghAXJ8J_j_dmT1sXg@HIDDEN>
X-Now-Playing: Laub's _Unter Anderen Bedingungen als Liebe_: "Losigkeit"
Date: Wed, 30 Sep 2020 20:08:24 +0200
In-Reply-To: <CABehr5eX5KDVNcV9cXMNdzdW7t5U3QpcRghAXJ8J_j_dmT1sXg@HIDDEN>
 (Gustaf Waldemarson's message of "Tue, 5 Nov 2019 11:05:48 +0100")
Message-ID: <87v9fvyw6f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Gustaf Waldemarson <gustaf.waldemarson@HIDDEN> writes:
 > After quite some time here, I have finally been able to get the proper >
 legal confirmation from Arm to submit patches. As far as I understand > things,
 any patch that I submit for Emacs will now ha [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34589
Cc: 34589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Gustaf Waldemarson <gustaf.waldemarson@HIDDEN> writes:

> After quite some time here, I have finally been able to get the proper
> legal confirmation from Arm to submit patches. As far as I understand
> things, any patch that I submit for Emacs will now have the copyright
> correctly reassigned and should now be usable without any issues.

Great!  Your patch didn't apply cleanly to Emacs 28, so I've respun it
(included below).

There was unfortunately no followup on this at the time, and I'm not
exactly a gdb expert (cough cough).

Could somebody give this a look-over?  It looks good to me, but I
haven't tested it.

> That said, during these months I've been rethinking the variable GDB
> window somewhat, and would like to see what people thinks of a rework of
> the following kind:
>
> - Instead of displaying variables as | 'type' | 'name' | 'value' |,
>   display them as | 'name' | 'short-type' | 'value' |, where
>   'short-type' is the first `X' characters of the type name.
>
>   I personally find this to be more useful, especially for C++ template
>   types which can easily occupy the whole window otherwise.
>
> - Possibly add a new tab 'behind' the variable window which contains the
>   /full/ type name. (This part may also have to interface with the new
>   tabbing interface, something I'll have to look into when I've got some
>   time.)
>
> (Also, if interesting, should this kind of rework be submitted as a
> separate ticket?)

Sure, a separate ticket would be nice.


diff --git a/lisp/progmodes/gdb-mi.el b/lisp/progmodes/gdb-mi.el
index 086f0b6a08..49ec99fc32 100644
--- a/lisp/progmodes/gdb-mi.el
+++ b/lisp/progmodes/gdb-mi.el
@@ -4228,7 +4228,7 @@ gdb-select-frame
 ;; uses "-stack-list-locals --simple-values". Needs GDB 6.1 onwards.
 (def-gdb-trigger-and-handler
   gdb-invalidate-locals
-  (concat (gdb-current-context-command "-stack-list-locals")
+  (concat (gdb-current-context-command "-stack-list-variables")
           " --simple-values")
   gdb-locals-handler gdb-locals-handler-custom
   '(start update))
@@ -4239,6 +4239,48 @@ gdb-select-frame
  'gdb-locals-mode
  'gdb-invalidate-locals)
 
+
+;; Retrieve the values of all variables before invalidating locals.
+(def-gdb-trigger-and-handler
+  gdb-locals-values
+  (concat (gdb-current-context-command "-stack-list-variables")
+          " --all-values")
+  gdb-locals-values-handler gdb-locals-values-handler-custom
+  '(start update))
+
+(gdb-set-buffer-rules
+ 'gdb-locals-values-buffer
+ 'gdb-locals-values-buffer-name
+ 'gdb-locals-mode
+ 'gdb-locals-values)
+
+(defun gdb-locals-values-buffer-name ()
+  (gdb-current-context-buffer-name
+   (concat "local values of " (gdb-get-target-string))))
+
+(defcustom gdb-locals-simple-values-only nil
+  "Only display simple values in the Locals buffer."
+  :type 'boolean
+  :group 'gud
+  :version "28.1")
+
+(defcustom gdb-locals-value-limit 100
+  "Maximum length the value of a local variable is allowed to be."
+  :type 'integer
+  :group 'gud
+  :version "28.1")
+
+(defvar gdb-locals-values-table (make-hash-table :test #'equal)
+  "Mapping of local variable names to a string with their value.")
+
+(defun gdb-locals-values-handler-custom ()
+  "Store the values of local variables in `gdb-locals-value-map'."
+  (let ((locals-list (bindat-get-field (gdb-json-partial-output) 'variables)))
+    (dolist (local locals-list)
+      (let ((name (bindat-get-field local 'name))
+            (value (bindat-get-field local 'value)))
+        (puthash name value gdb-locals-values-table)))))
+
 (defvar gdb-locals-watch-map
   (let ((map (make-sparse-keymap)))
     (suppress-keymap map)
@@ -4255,6 +4297,15 @@ gdb-edit-locals-map-1
     map)
   "Keymap to edit value of a simple data type local variable.")
 
+(defun gdb-locals-value-filter (value)
+  "Filter function for the local variable VALUE."
+  (let* ((no-nl (replace-regexp-in-string "\n" " " value))
+         (str (replace-regexp-in-string "[[:space:]]+" " " no-nl))
+         (limit gdb-locals-value-limit))
+    (if (>= (length str) limit)
+        (concat (substring str 0 limit) "...")
+      str)))
+
 (defun gdb-edit-locals-value (&optional event)
   "Assign a value to a variable displayed in the locals buffer."
   (interactive (list last-input-event))
@@ -4267,17 +4318,21 @@ gdb-edit-locals-value
       (gud-basic-call
        (concat  "-gdb-set variable " var " = " value)))))
 
-;; Don't display values of arrays or structures.
-;; These can be expanded using gud-watch.
+;; Complex data types are looked up in `gdb-locals-values-table'.
 (defun gdb-locals-handler-custom ()
-  (let ((locals-list (bindat-get-field (gdb-json-partial-output) 'locals))
+  "Handler to rebuild the local variables table buffer."
+  (let ((locals-list (bindat-get-field (gdb-json-partial-output) 'variables))
         (table (make-gdb-table)))
     (dolist (local locals-list)
       (let ((name (bindat-get-field local 'name))
             (value (bindat-get-field local 'value))
             (type (bindat-get-field local 'type)))
         (when (not value)
-          (setq value "<complex data type>"))
+          (setq value
+                (if gdb-locals-simple-values-only
+                    "<complex data type>"
+                  (gethash name gdb-locals-values-table "<unavailable>"))))
+        (setq value (gdb-locals-value-filter value))
         (if (or (not value)
                 (string-match "0x" value))
             (add-text-properties 0 (length name)
@@ -4743,6 +4798,8 @@ gdb-setup-windows
          (expand-file-name gdb-default-window-configuration-file
                            gdb-window-configuration-directory)))
     ;; Create default layout as before.
+    ;; Make sure that local values are updated before locals.
+    (gdb-get-buffer-create 'gdb-locals-values-buffer)
     (gdb-get-buffer-create 'gdb-locals-buffer)
     (gdb-get-buffer-create 'gdb-stack-buffer)
     (gdb-get-buffer-create 'gdb-breakpoints-buffer)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34589; Package emacs. Full text available.

Message received at 34589 <at> debbugs.gnu.org:


Received: (at 34589) by debbugs.gnu.org; 15 Apr 2020 15:05:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 15 11:05:42 2020
Received: from localhost ([127.0.0.1]:36926 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOjbi-0001Hr-9v
	for submit <at> debbugs.gnu.org; Wed, 15 Apr 2020 11:05:42 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37110)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jOjbg-0001Hc-Uu
 for 34589 <at> debbugs.gnu.org; Wed, 15 Apr 2020 11:05:41 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40162)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1jOjbb-0003s9-TL; Wed, 15 Apr 2020 11:05:35 -0400
Received: from [176.228.60.248] (port=3719 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jOjbS-0000hl-Fk; Wed, 15 Apr 2020 11:05:34 -0400
Date: Wed, 15 Apr 2020 18:05:07 +0300
Message-Id: <83wo6gg57g.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Yuan Fu <casouri@HIDDEN>
In-Reply-To: <344CA032-BE53-414A-9397-0CBB9507CEB5@HIDDEN> (message from
 Yuan Fu on Wed, 15 Apr 2020 10:54:30 -0400)
Subject: Re: bug#34589: 26.1.91; GDB-MI Display Complex Data Types
References: <CABehr5eM22py479W2mS0cpGrfy2TeHRyMkWNnzGc+kcNHWwaVw@HIDDEN>
 <344CA032-BE53-414A-9397-0CBB9507CEB5@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -1.5 (-)
X-Debbugs-Envelope-To: 34589
Cc: 34589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.5 (--)

> From: Yuan Fu <casouri@HIDDEN>
> Date: Wed, 15 Apr 2020 10:54:30 -0400
> 
> I stumbled upon this thread. This feature is long-awaited (by me), is there any progress on including it into Emacs?

The legal paperworks is done, so we need someone to review this and
perhaps comment.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34589; Package emacs. Full text available.

Message received at 34589 <at> debbugs.gnu.org:


Received: (at 34589) by debbugs.gnu.org; 15 Apr 2020 14:54:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 15 10:54:40 2020
Received: from localhost ([127.0.0.1]:36911 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOjR2-0000x8-5h
	for submit <at> debbugs.gnu.org; Wed, 15 Apr 2020 10:54:40 -0400
Received: from mail-qv1-f51.google.com ([209.85.219.51]:34878)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <casouri@HIDDEN>) id 1jOjQz-0000wn-Vk
 for 34589 <at> debbugs.gnu.org; Wed, 15 Apr 2020 10:54:38 -0400
Received: by mail-qv1-f51.google.com with SMTP id q73so165182qvq.2
 for <34589 <at> debbugs.gnu.org>; Wed, 15 Apr 2020 07:54:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:content-transfer-encoding:mime-version:subject:message-id:date
 :to; bh=pnIUhIh7iRXTt3mutGudOKgLkBeGmJrscOAV4em+ak4=;
 b=nelZU8LUbUe13RJAayJZnRDYHE+c+d3RcmpKTQJI3s9ED2k8/GpPBgakM29D/Geogd
 zhc6iAg26cGbihV9DZzR3JUCCPqmk/P6b2AtzanxHb9uv1JWLWgvBeXYN0oq1U//xaKX
 KTxsPyYT+LoADpCypNQFTprGkZSlmenUecUaSI5tz516I2BMcXC8idyUd8WxC2FV2768
 84JBPu4dDM9S1aZn1lKohSAa2gh4QgPlbxwaJvG3ERRfVfS4d8EUCgzLVeIR+D+wLtqW
 2h7BEUzq5xJdU3keXyuqTi1Qe+aWezwt8AdH//0wfB5aoJrLXsDG38Jq/uayK+fyPRIn
 egTQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:content-transfer-encoding:mime-version
 :subject:message-id:date:to;
 bh=pnIUhIh7iRXTt3mutGudOKgLkBeGmJrscOAV4em+ak4=;
 b=tOQ1m/ofL7dhnjxWxY6LA9thcdzwbRMwuQFxoRMZvYlO6iLR1+mLDfijxgf2NuCFnx
 PHGxk9YCUfPHxTj5PnHrSsmC3EkOvcLRy+KG4ypBFEXbOicvhGQUIMGok9zbAVGej/Mu
 YMjSx7wY9ypuJpyaogekXEynlJ5zthb7FeffQ8EteKkwwpiY5gULut4UMwzFqNLyx9R1
 uco51hBUJzYPkcTEY4R08d+t7racRB/fCwmn+LCLrCV8+R705Uo9Qc4j+Ph0at8/eFd5
 qvHU7gVMtL/9mTNr22UOnDIV7GEn7/pFiUNDstgkcHoW9vLyhlW/h70PffQhZMvShob4
 88Kw==
X-Gm-Message-State: AGi0PuZiGNas5J9DvX/yKpI9uJ0XiR8H1iLevQZVdruxIPe4wrYmy9Hw
 Q7IZ82HNEj4NuOZDdv3wTd56+H1047hGSQ==
X-Google-Smtp-Source: APiQypJKxo4DzK3V06lPi4PIraXrZ3Vvpqyt7YvwyEcS9JGDoHlLWOg/dPdgHA1h21S2T66bTlkcnw==
X-Received: by 2002:a0c:f8c4:: with SMTP id h4mr5432141qvo.15.1586962472125;
 Wed, 15 Apr 2020 07:54:32 -0700 (PDT)
Received: from [192.168.1.5] (c-174-60-229-153.hsd1.pa.comcast.net.
 [174.60.229.153])
 by smtp.gmail.com with ESMTPSA id g67sm12841441qkf.96.2020.04.15.07.54.31
 for <34589 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 15 Apr 2020 07:54:31 -0700 (PDT)
From: Yuan Fu <casouri@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.80.23.2.2\))
Subject: Re: bug#34589: 26.1.91; GDB-MI Display Complex Data Types
Message-Id: <344CA032-BE53-414A-9397-0CBB9507CEB5@HIDDEN>
Date: Wed, 15 Apr 2020 10:54:30 -0400
To: 34589 <at> debbugs.gnu.org
X-Mailer: Apple Mail (2.3608.80.23.2.2)
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: 34589
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

I stumbled upon this thread. This feature is long-awaited (by me), is =
there any progress on including it into Emacs?

Yuan=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34589; Package emacs. Full text available.

Message received at 34589 <at> debbugs.gnu.org:


Received: (at 34589) by debbugs.gnu.org; 5 Nov 2019 10:06:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 05 05:06:10 2019
Received: from localhost ([127.0.0.1]:37904 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iRviz-0004lJ-Nb
	for submit <at> debbugs.gnu.org; Tue, 05 Nov 2019 05:06:10 -0500
Received: from mail-ot1-f53.google.com ([209.85.210.53]:39476)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gustaf.waldemarson@HIDDEN>) id 1iRviv-0004kN-Sx
 for 34589 <at> debbugs.gnu.org; Tue, 05 Nov 2019 05:06:08 -0500
Received: by mail-ot1-f53.google.com with SMTP id e17so8591793otk.6
 for <34589 <at> debbugs.gnu.org>; Tue, 05 Nov 2019 02:06:05 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=aDTQh5fmVth244yF6ACkHwmwwnkqj33omN6BtVUWSpQ=;
 b=KkmraqeWBAcryqrZP3+DGXutmdB5aX8b+f6+qduOOuMwTsGItccD1LeWqNhGUlMZms
 hGm2SgkFfO4TcAV0VVbXmGBKOfAI0IW5s2LO6CUVflP2xoRrWwn+qb30Nepy8GoNEnDA
 P0r6ak5y5/rM5d5NoSYNJUJN3Tkcv1vLKqQfwMhUJcnXUdHkmoz8M2/T/pApPffX2U5b
 YoVc0uH+T8BcOHxiM/DLhrjaNlApQg61CkbHHkwppnV9KvaZ6o4sFT2XROwa2TZbkAWP
 OsPltV/eOsJ+MyZ5YrD19DB1uplw5uX1KBo1UNHIv4AEue8aqThtlFihDedzxJVSGeRP
 VxTA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=aDTQh5fmVth244yF6ACkHwmwwnkqj33omN6BtVUWSpQ=;
 b=OGuZ+UnSyD3R7g4qgiUJrkYuSzF8yeWLFd7UUul/kfO0MlUcDruDNfB4I15urO6jKh
 YNqBIH+JFZZi8Rcv6rkwlCl/P4iAztJmunzqtNh2hROForvGdFzT2BeXBp8azj+X5b3j
 IxqVwjYNNINMUA9bxqu2fk9tEpMkJ+NAG6U2us4AY7RZSharPkvNm2wTHsEvv/N2damC
 OLKq3GMXIYhZRRSeW4YrM5cPFIwJ5GVNYxhvp9hCLPLs4OZih/iS14L9/3UdtEPaNNtr
 4xc5MAI/NQy5KTYYuoa7cgH6pxxbeHqamtLahX/VKpLC4SY/xYFv490e5BSfDvDw2/8p
 KzAA==
X-Gm-Message-State: APjAAAV50W73QW9tKMwpfKpqOTnKEZYC4UI9nhAjWnFNAJPpR1WnRN0B
 4DFgb8F1Pg1YEcV/D5cGpT8cETcSnSOh9/ypmjiuVjbp
X-Google-Smtp-Source: APXvYqw0C1kUgZXe963EAjAiXys4tBIsT++zEC4pj2xYpJM6rJ2ccSZwEMNBQ9AUhjkLFxZqoVghAK2mmHMEkwAVrXw=
X-Received: by 2002:a05:6830:22c8:: with SMTP id
 q8mr7728029otc.327.1572948359868; 
 Tue, 05 Nov 2019 02:05:59 -0800 (PST)
MIME-Version: 1.0
References: <CABehr5eM22py479W2mS0cpGrfy2TeHRyMkWNnzGc+kcNHWwaVw@HIDDEN>
 <83wolugz2r.fsf@HIDDEN>
 <CABehr5cEUkmz-QUu4Gkb4-OmaU4XLNuTgP8NOaXfJUnwuBV0Ng@HIDDEN>
 <83va1aq1ui.fsf@HIDDEN>
 <CABehr5dzJXvkD4s2VsVQ=uHqbn5va+3cmMQAPy1CW=VXRBrPdg@HIDDEN>
 <83o972pz92.fsf@HIDDEN>
 <CABehr5f332Fca7kxbJw9QSwYWP352=CU13=RiH9vLHCdKHWGUA@HIDDEN>
 <E1gzvK5-00020E-R4@HIDDEN>
 <CABehr5c8s84tgVp5pNogG7uCwkWX-dzYgO_wvu2OKwfJe2KWcg@HIDDEN>
 <83zhqbe2og.fsf@HIDDEN>
 <CABehr5fY_-irLDUgyfrN2XOwESdS6YJ5rsZFw19pEJOizCLAEA@HIDDEN>
 <83va0tag67.fsf@HIDDEN>
In-Reply-To: <83va0tag67.fsf@HIDDEN>
From: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
Date: Tue, 5 Nov 2019 11:05:48 +0100
Message-ID: <CABehr5eX5KDVNcV9cXMNdzdW7t5U3QpcRghAXJ8J_j_dmT1sXg@HIDDEN>
Subject: Re: bug#34589: 26.1.91; GDB-MI Display Complex Data Types
To: 34589 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34589
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

After quite some time here, I have finally been able to get the proper
legal confirmation from Arm to submit patches. As far as I understand
things, any patch that I submit for Emacs will now have the copyright
correctly reassigned and should now be usable without any issues.

That said, during these months I've been rethinking the variable GDB
window somewhat, and would like to see what people thinks of a rework of
the following kind:

- Instead of displaying variables as | 'type' | 'name' | 'value' |,
  display them as | 'name' | 'short-type' | 'value' |, where
  'short-type' is the first `X' characters of the type name.

  I personally find this to be more useful, especially for C++ template
  types which can easily occupy the whole window otherwise.

- Possibly add a new tab 'behind' the variable window which contains the
  /full/ type name. (This part may also have to interface with the new
  tabbing interface, something I'll have to look into when I've got some
  time.)

(Also, if interesting, should this kind of rework be submitted as a
separate ticket?)

Den fre 8 mars 2019 kl 10:07 skrev Eli Zaretskii <eliz@HIDDEN>:
>
> > From: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
> > Date: Mon, 4 Mar 2019 09:05:26 +0100
> > Cc: 34589 <at> debbugs.gnu.org, "Andrew W. Nosenko" <andrew.w.nosenko@HIDDEN>,
> >       Robert Pluim <rpluim@HIDDEN>, rms@HIDDEN
> >
> > >Yes.  I asked about the first patch because it's small enough to be
> > > accepted even without legal paperwork.  The second one exceeds the
> > > limits of that.
> >
> > Ah, got it. Feel free to review and include it if you find it useful.
>
> Thanks.  Unfortunately, it turns out that the first patch makes little
> sense without the second, as most of the code modified by the former
> is introduced in the latter.  So I didn't apply any of your changes
> for now; hopefully, you will be able to overcome the legal obstacles
> at some point.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34589; Package emacs. Full text available.

Message received at 34589 <at> debbugs.gnu.org:


Received: (at 34589) by debbugs.gnu.org; 8 Mar 2019 09:07:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 08 04:07:23 2019
Received: from localhost ([127.0.0.1]:35826 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h2BTP-0004ib-Dx
	for submit <at> debbugs.gnu.org; Fri, 08 Mar 2019 04:07:23 -0500
Received: from eggs.gnu.org ([209.51.188.92]:47989)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1h2BTN-0004iH-Eu
 for 34589 <at> debbugs.gnu.org; Fri, 08 Mar 2019 04:07:21 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51143)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1h2BT9-0004c3-Ib; Fri, 08 Mar 2019 04:07:12 -0500
Received: from [176.228.60.248] (port=4499 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1h2BT0-0001xd-LM; Fri, 08 Mar 2019 04:06:59 -0500
Date: Fri, 08 Mar 2019 11:06:40 +0200
Message-Id: <83va0tag67.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
In-reply-to: <CABehr5fY_-irLDUgyfrN2XOwESdS6YJ5rsZFw19pEJOizCLAEA@HIDDEN>
 (message from Gustaf Waldemarson on Mon, 4 Mar 2019 09:05:26 +0100)
Subject: Re: bug#34589: 26.1.91; GDB-MI Display Complex Data Types
References: <CABehr5eM22py479W2mS0cpGrfy2TeHRyMkWNnzGc+kcNHWwaVw@HIDDEN>
 <83wolugz2r.fsf@HIDDEN>
 <CABehr5cEUkmz-QUu4Gkb4-OmaU4XLNuTgP8NOaXfJUnwuBV0Ng@HIDDEN>
 <83va1aq1ui.fsf@HIDDEN>
 <CABehr5dzJXvkD4s2VsVQ=uHqbn5va+3cmMQAPy1CW=VXRBrPdg@HIDDEN>
 <83o972pz92.fsf@HIDDEN>
 <CABehr5f332Fca7kxbJw9QSwYWP352=CU13=RiH9vLHCdKHWGUA@HIDDEN>
 <E1gzvK5-00020E-R4@HIDDEN>
 <CABehr5c8s84tgVp5pNogG7uCwkWX-dzYgO_wvu2OKwfJe2KWcg@HIDDEN>
 <83zhqbe2og.fsf@HIDDEN>
 <CABehr5fY_-irLDUgyfrN2XOwESdS6YJ5rsZFw19pEJOizCLAEA@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34589
Cc: rpluim@HIDDEN, 34589 <at> debbugs.gnu.org, rms@HIDDEN,
 andrew.w.nosenko@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
> Date: Mon, 4 Mar 2019 09:05:26 +0100
> Cc: 34589 <at> debbugs.gnu.org, "Andrew W. Nosenko" <andrew.w.nosenko@HIDDEN>, 
> 	Robert Pluim <rpluim@HIDDEN>, rms@HIDDEN
> 
> >Yes.  I asked about the first patch because it's small enough to be
> > accepted even without legal paperwork.  The second one exceeds the
> > limits of that.
> 
> Ah, got it. Feel free to review and include it if you find it useful.

Thanks.  Unfortunately, it turns out that the first patch makes little
sense without the second, as most of the code modified by the former
is introduced in the latter.  So I didn't apply any of your changes
for now; hopefully, you will be able to overcome the legal obstacles
at some point.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34589; Package emacs. Full text available.

Message received at 34589 <at> debbugs.gnu.org:


Received: (at 34589) by debbugs.gnu.org; 4 Mar 2019 08:05:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 04 03:05:41 2019
Received: from localhost ([127.0.0.1]:58916 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h0ibV-00085R-C2
	for submit <at> debbugs.gnu.org; Mon, 04 Mar 2019 03:05:41 -0500
Received: from mail-ed1-f66.google.com ([209.85.208.66]:40098)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gustaf.waldemarson@HIDDEN>) id 1h0ibU-00085E-5k
 for 34589 <at> debbugs.gnu.org; Mon, 04 Mar 2019 03:05:40 -0500
Received: by mail-ed1-f66.google.com with SMTP id 10so3443374eds.7
 for <34589 <at> debbugs.gnu.org>; Mon, 04 Mar 2019 00:05:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=l7DHws9v9EU/k1gtH9CNwrywJkIlO429VNFZg2cBxow=;
 b=oC1yUpVLSOfQNwJNDxxOpTrGFLGCRinoxu3GCgoFerENwjiCpeLxHffXdk8Wryrmuw
 yunTiGB6f7iYRHpQ0NdKiGpKf+zJ92Sp6vOlEJeMVHm0BqSp1Q95vR0Ljde/srwEczNU
 2XEFoF27wV79dohK1g0Yopt/gA7xX8CszFXtF3kinJ5OhV3rCQzPbvSR+/P/eEIfgCbc
 wHGJ7G2FiSmM4A4TjkBdYHt28B3wd2R4mGp6vKhoWtfIGErH+j56gVVXHb40lgwpehSy
 p+GDclDHOIrVGbF1v9jNns8sj9kPWXCndksEM5s7FRB4Lu0KBNY4/fhP3rrPq0CKeUTZ
 vnHQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=l7DHws9v9EU/k1gtH9CNwrywJkIlO429VNFZg2cBxow=;
 b=bchAXxvz2rXQbStLizDczaXm0Olw7NfGO78oI7qumUcP9pwFVogcIT3AkBSQ6Zn06K
 KkPz4+MZPatBl7FDtx284+IYPmMktbyhlrIBD4cmVRiaHaNtJp/yCbkjJTH+SdO0DhZJ
 5FdZgLTWNpK9W+aoFCERW7nKgl9qtqdXZvYaCS092Zr5llN2zPkgvavv+mee/VjSHNOO
 P/bb+aCdOGruC4CWY128miuvbULBTPSmaA1qtXLPr2u2FV2hUyZveWKZhB8mgANJbcMY
 2TOPAitd3VHdXWeNL2vLFxhKk7weRTGVjrjZtAx8XBgdqFzFiCFsKDkX9Ky1A9tV2OAQ
 u8yQ==
X-Gm-Message-State: APjAAAWM0WxQrmIitcfswDOEJoUl4vrpL17qTa3XG7mNoM2XZreBSsye
 3lszy3LJfd6Za3s+GXwvnwibGCkh5a9uS8x1UV0=
X-Google-Smtp-Source: APXvYqzEUY4gYMqz7ybGrevKUMpFFAiL8bH51JZigGj38wfruYU45SygaTnH3a7FFoUmhcX8OvMxsClOgWUiV4YTRjU=
X-Received: by 2002:a50:a5bc:: with SMTP id a57mr14641709edc.10.1551686734319; 
 Mon, 04 Mar 2019 00:05:34 -0800 (PST)
MIME-Version: 1.0
References: <CABehr5eM22py479W2mS0cpGrfy2TeHRyMkWNnzGc+kcNHWwaVw@HIDDEN>
 <83wolugz2r.fsf@HIDDEN>
 <CABehr5cEUkmz-QUu4Gkb4-OmaU4XLNuTgP8NOaXfJUnwuBV0Ng@HIDDEN>
 <83va1aq1ui.fsf@HIDDEN>
 <CABehr5dzJXvkD4s2VsVQ=uHqbn5va+3cmMQAPy1CW=VXRBrPdg@HIDDEN>
 <83o972pz92.fsf@HIDDEN>
 <CABehr5f332Fca7kxbJw9QSwYWP352=CU13=RiH9vLHCdKHWGUA@HIDDEN>
 <E1gzvK5-00020E-R4@HIDDEN>
 <CABehr5c8s84tgVp5pNogG7uCwkWX-dzYgO_wvu2OKwfJe2KWcg@HIDDEN>
 <83zhqbe2og.fsf@HIDDEN>
In-Reply-To: <83zhqbe2og.fsf@HIDDEN>
From: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
Date: Mon, 4 Mar 2019 09:05:26 +0100
Message-ID: <CABehr5fY_-irLDUgyfrN2XOwESdS6YJ5rsZFw19pEJOizCLAEA@HIDDEN>
Subject: Re: bug#34589: 26.1.91; GDB-MI Display Complex Data Types
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 34589
Cc: Robert Pluim <rpluim@HIDDEN>, 34589 <at> debbugs.gnu.org, rms@HIDDEN,
 "Andrew W. Nosenko" <andrew.w.nosenko@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>Yes.  I asked about the first patch because it's small enough to be
> accepted even without legal paperwork.  The second one exceeds the
> limits of that.

Ah, got it. Feel free to review and include it if you find it useful.
If Arm ever get back
to me regarding the legal stuff I'll submit them then as a separate bug.

Den m=C3=A5n 4 mars 2019 kl 04:31 skrev Eli Zaretskii <eliz@HIDDEN>:
>
> > From: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
> > Date: Sun, 3 Mar 2019 21:32:46 +0100
> > Cc: Eli Zaretskii <eliz@HIDDEN>, andrew.w.nosenko@HIDDEN, rpluim@gm=
ail.com, rms@HIDDEN
> >
> > > Does the first patch have value on its own? If so, we can accept it w=
ithout
> > > legal paperwork.
> >
> > I would argue that either patch have some value. The first patch enable=
s display
> > of the complex data types and the second changes the interface to use a
> > non-deprecated function from the gdb interface that additionally lists =
function
> > arguments as well, something the previous one did not (at least if I ha=
ve
> > understood the documentation correctly).
> >
> > Although, the first patch in my list is the bigger one. Wasn't that par=
t of the
> > problem legal-wise?
>
> Yes.  I asked about the first patch because it's small enough to be
> accepted even without legal paperwork.  The second one exceeds the
> limits of that.
>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34589; Package emacs. Full text available.

Message received at 34589 <at> debbugs.gnu.org:


Received: (at 34589) by debbugs.gnu.org; 4 Mar 2019 03:31:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 03 22:31:15 2019
Received: from localhost ([127.0.0.1]:58877 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h0eJv-0001G9-1u
	for submit <at> debbugs.gnu.org; Sun, 03 Mar 2019 22:31:15 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54845)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1h0eJt-0001Fx-SL
 for 34589 <at> debbugs.gnu.org; Sun, 03 Mar 2019 22:31:14 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42598)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1h0eJo-0005AG-9B; Sun, 03 Mar 2019 22:31:08 -0500
Received: from [176.228.60.248] (port=2181 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1h0eJi-0001qc-21; Sun, 03 Mar 2019 22:31:02 -0500
Date: Mon, 04 Mar 2019 05:30:55 +0200
Message-Id: <83zhqbe2og.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
In-reply-to: <CABehr5c8s84tgVp5pNogG7uCwkWX-dzYgO_wvu2OKwfJe2KWcg@HIDDEN>
 (message from Gustaf Waldemarson on Sun, 3 Mar 2019 21:32:46 +0100)
Subject: Re: bug#34589: 26.1.91; GDB-MI Display Complex Data Types
References: <CABehr5eM22py479W2mS0cpGrfy2TeHRyMkWNnzGc+kcNHWwaVw@HIDDEN>
 <83wolugz2r.fsf@HIDDEN>
 <CABehr5cEUkmz-QUu4Gkb4-OmaU4XLNuTgP8NOaXfJUnwuBV0Ng@HIDDEN>
 <83va1aq1ui.fsf@HIDDEN>
 <CABehr5dzJXvkD4s2VsVQ=uHqbn5va+3cmMQAPy1CW=VXRBrPdg@HIDDEN>
 <83o972pz92.fsf@HIDDEN>
 <CABehr5f332Fca7kxbJw9QSwYWP352=CU13=RiH9vLHCdKHWGUA@HIDDEN>
 <E1gzvK5-00020E-R4@HIDDEN>
 <CABehr5c8s84tgVp5pNogG7uCwkWX-dzYgO_wvu2OKwfJe2KWcg@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34589
Cc: rpluim@HIDDEN, 34589 <at> debbugs.gnu.org, rms@HIDDEN,
 andrew.w.nosenko@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
> Date: Sun, 3 Mar 2019 21:32:46 +0100
> Cc: Eli Zaretskii <eliz@HIDDEN>, andrew.w.nosenko@HIDDEN, rpluim@HIDDEN, rms@HIDDEN
> 
> > Does the first patch have value on its own? If so, we can accept it without
> > legal paperwork.
> 
> I would argue that either patch have some value. The first patch enables display
> of the complex data types and the second changes the interface to use a
> non-deprecated function from the gdb interface that additionally lists function
> arguments as well, something the previous one did not (at least if I have
> understood the documentation correctly).
> 
> Although, the first patch in my list is the bigger one. Wasn't that part of the
> problem legal-wise?

Yes.  I asked about the first patch because it's small enough to be
accepted even without legal paperwork.  The second one exceeds the
limits of that.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34589; Package emacs. Full text available.

Message received at 34589 <at> debbugs.gnu.org:


Received: (at 34589) by debbugs.gnu.org; 3 Mar 2019 20:33:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 03 15:33:06 2019
Received: from localhost ([127.0.0.1]:58722 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h0XnF-00023V-Ps
	for submit <at> debbugs.gnu.org; Sun, 03 Mar 2019 15:33:06 -0500
Received: from mail-ed1-f66.google.com ([209.85.208.66]:41834)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gustaf.waldemarson@HIDDEN>) id 1h0XnD-00022d-VD
 for 34589 <at> debbugs.gnu.org; Sun, 03 Mar 2019 15:33:04 -0500
Received: by mail-ed1-f66.google.com with SMTP id x7so2564896eds.8
 for <34589 <at> debbugs.gnu.org>; Sun, 03 Mar 2019 12:33:03 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=Wpt1YD6jbFsqIHWYDkYn4dIV14OmChJVBDbKW/BF5mM=;
 b=bBRlHC7mW3a8rVzN3klHp2eqGVwDHbZQw1lcg0SUWv5G6NB/uEN/1UcD3Xg4mr67DB
 gK0EMgNGinBL1OSre3WFeB893TSPH7JPfPHjktA2HvB9ofmXwmms4Zs7g39EgPffO6EN
 zLxyPhiRFAdpqHrL5g1BUxKQ/vv0/PMvBzawb1cxCi2DKaN+oCoCfVKVy/3DAHs+QQIj
 7CPm9Tcej6TucmoXyRzcNlDMzkoTqyPl33kNubJF8WpxR45uf6TbDonFhfxd1kZheCpz
 oMlAT4QXZKf8g4LAFjwvIBVBHkB6KFg4WbYdvUFNtTqJOA/+l6fHMfbHZn490NmWZwXT
 VkeQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=Wpt1YD6jbFsqIHWYDkYn4dIV14OmChJVBDbKW/BF5mM=;
 b=UZoM0ZoXEJtuG07Ow+Yqq3wrNP/Qk6+AR1MExFTcmI9V/d8k3K3rn9JPsABFIb6i1e
 lfFg9kqi9GS13So7Q+u4CISj6beb47kHn/1GWVS93kg4sDvczFirzRsdYfSNkuvSYzKz
 SOeL+om91s5CKOTSA7I0ER333bdjPRBKcwRIxQo0roADwuwvKYs62Z0Cbivex3EZxWqi
 AwKnh6F3GAcswS8eMD5LeO+IoXqg7JoVCXOf6IkyODKkjEC8aQHCVxvg3MXswDVXQjor
 dlMkZEzusLTddtV0b3eyrPJ1L9RVvx8clhTAuJMMinkxS7pQd+gfpZ5HAhDHzO/2tJyr
 IupA==
X-Gm-Message-State: APjAAAUcfEcJaUc1sBG66OsXIeZeimmtPLdZenTVgmuZlHqmcPNydM9+
 BAdhBDOasQmT5vjfbBpDM7Q6SzvaA9mtzZtSatOhYZCt
X-Google-Smtp-Source: APXvYqypqbWjFZ/ndpSDeaJpGBUIiPmLWsxk7oqCHAgzWbJD+R2j5FJlJxbOGLVA4cCXkFJZyxCKj+vQFG9SFE0TZQM=
X-Received: by 2002:a50:f5ea:: with SMTP id x39mr12806404edm.154.1551645177463; 
 Sun, 03 Mar 2019 12:32:57 -0800 (PST)
MIME-Version: 1.0
References: <CABehr5eM22py479W2mS0cpGrfy2TeHRyMkWNnzGc+kcNHWwaVw@HIDDEN>
 <83wolugz2r.fsf@HIDDEN>
 <CABehr5cEUkmz-QUu4Gkb4-OmaU4XLNuTgP8NOaXfJUnwuBV0Ng@HIDDEN>
 <83va1aq1ui.fsf@HIDDEN>
 <CABehr5dzJXvkD4s2VsVQ=uHqbn5va+3cmMQAPy1CW=VXRBrPdg@HIDDEN>
 <83o972pz92.fsf@HIDDEN>
 <CABehr5f332Fca7kxbJw9QSwYWP352=CU13=RiH9vLHCdKHWGUA@HIDDEN>
 <E1gzvK5-00020E-R4@HIDDEN>
In-Reply-To: <E1gzvK5-00020E-R4@HIDDEN>
From: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
Date: Sun, 3 Mar 2019 21:32:46 +0100
Message-ID: <CABehr5c8s84tgVp5pNogG7uCwkWX-dzYgO_wvu2OKwfJe2KWcg@HIDDEN>
Subject: Re: bug#34589: 26.1.91; GDB-MI Display Complex Data Types
To: 34589 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34589
Cc: Eli Zaretskii <eliz@HIDDEN>, rpluim@HIDDEN, andrew.w.nosenko@HIDDEN,
 rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> May be narrowing to very specific area (emacs, gdb-mi, no-arm-specific) w=
ould
> help?

It seems like that could be a possibility. I did get a bit more "willing" m=
ail
last Friday evening but I suspect will require quite a bit more time from
everyone involved. I'll keep track of things internally, but for now I beli=
eve
we should consider the patches unusable.


> Does the first patch have value on its own? If so, we can accept it witho=
ut
> legal paperwork.

I would argue that either patch have some value. The first patch enables di=
splay
of the complex data types and the second changes the interface to use a
non-deprecated function from the gdb interface that additionally lists func=
tion
arguments as well, something the previous one did not (at least if I have
understood the documentation correctly).

Although, the first patch in my list is the bigger one. Wasn't that part of=
 the
problem legal-wise?


> If you think you have a chance of findin another job, you might want to l=
ook
> for one, negotiating for a suitable copyright disclaimer about contributi=
ons
> to free software as part of your employment contract itself. Do ask your
> lawyer (NOT the company's lawyer) to check it.

I'm afraid I'm not in a position in life where this is something that I can
consider. Although, I will keep it in mind in the future.


> It=CA=BCs doubly surprising, given that Arm employees contribute patches =
to
> binutils all the time.

From what I've been told (and this might very well be third-hand info or wo=
rse),
Arm employees working on binutils and GCC can do so under an older agreemen=
t
that was in place prior to the introduction of the employer disclaimer.

They also told me that *if* Emacs was covered by that agreement, the patche=
s
could be used given that they were re-authored to use my Arm e-mail, but I'=
ve
not heard back from them regarding that.


> Depending on what country you=CA=BCre in, your employer may have no claim
> whatsoever on code that you come up with on your own time (sometimes
> even if you came up with it *during* your actual work for them).
>
> Of course, this is a complex area, so you'd need to consult a lawyer
> to be sure (and I=CA=BCm not one :-) )

Funny that you would mention that. I've heard similar things elsewhere, but
unfortunately I'm not in a position where I can challenge Arm regarding thi=
s to
change my contract. As I mentioned earlier though, I will be more careful t=
he
future.


> So you could respond by demanding they tell you concretely what kind of t=
hing
> they are talking about "exposing", instead of giving you a mysifying answ=
er.

Thanks, I'll be sure to do just that.

Den l=C3=B6r 2 mars 2019 kl 04:28 skrev Richard Stallman <rms@HIDDEN>:
>
> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
>
>   > Apparently Arm has taken the
>   > stance that signing such a disclaimer could "open a legal door which
>   > could expose intellectual property in the future".
>
> The term "intellectual property" is a tool for mystification.
> It spreads confusion every time it is used, and that is why they use it.
> See https://gnu.org/philosophy/not-ipr.html.
>
> It takes an overgeneralization -- "intellecual property law" -- which
> should never be used -- and then reifies it.
>
> So you could respond by demanding they tell you concretely what kind
> of thing they are talking about "exposing", instead of giving you
> a mysifying answer.
>
> --
> Dr Richard Stallman
> President, Free Software Foundation (https://gnu.org, https://fsf.org)
> Internet Hall-of-Famer (https://internethalloffame.org)
>
>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34589; Package emacs. Full text available.

Message received at 34589 <at> debbugs.gnu.org:


Received: (at 34589) by debbugs.gnu.org; 2 Mar 2019 03:28:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 01 22:28:34 2019
Received: from localhost ([127.0.0.1]:56914 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gzvKE-0003fd-5W
	for submit <at> debbugs.gnu.org; Fri, 01 Mar 2019 22:28:34 -0500
Received: from eggs.gnu.org ([209.51.188.92]:53999)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1gzvKC-0003fK-19
 for 34589 <at> debbugs.gnu.org; Fri, 01 Mar 2019 22:28:32 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34463)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1gzvK6-0005Sk-Fl; Fri, 01 Mar 2019 22:28:26 -0500
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1gzvK5-00020E-R4; Fri, 01 Mar 2019 22:28:25 -0500
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
In-Reply-To: <CABehr5f332Fca7kxbJw9QSwYWP352=CU13=RiH9vLHCdKHWGUA@HIDDEN>
 (message from Gustaf Waldemarson on Thu, 28 Feb 2019 17:05:35 +0100)
Subject: Re: bug#34589: 26.1.91; GDB-MI Display Complex Data Types
References: <CABehr5eM22py479W2mS0cpGrfy2TeHRyMkWNnzGc+kcNHWwaVw@HIDDEN>
 <83wolugz2r.fsf@HIDDEN>
 <CABehr5cEUkmz-QUu4Gkb4-OmaU4XLNuTgP8NOaXfJUnwuBV0Ng@HIDDEN>
 <83va1aq1ui.fsf@HIDDEN>
 <CABehr5dzJXvkD4s2VsVQ=uHqbn5va+3cmMQAPy1CW=VXRBrPdg@HIDDEN>
 <83o972pz92.fsf@HIDDEN>
 <CABehr5f332Fca7kxbJw9QSwYWP352=CU13=RiH9vLHCdKHWGUA@HIDDEN>
Message-Id: <E1gzvK5-00020E-R4@HIDDEN>
Date: Fri, 01 Mar 2019 22:28:25 -0500
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34589
Cc: eliz@HIDDEN, 34589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Apparently Arm has taken the
  > stance that signing such a disclaimer could "open a legal door which
  > could expose intellectual property in the future".

The term "intellectual property" is a tool for mystification.
It spreads confusion every time it is used, and that is why they use it.
See https://gnu.org/philosophy/not-ipr.html.

It takes an overgeneralization -- "intellecual property law" -- which
should never be used -- and then reifies it.

So you could respond by demanding they tell you concretely what kind
of thing they are talking about "exposing", instead of giving you
a mysifying answer.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34589; Package emacs. Full text available.

Message received at 34589 <at> debbugs.gnu.org:


Received: (at 34589) by debbugs.gnu.org; 1 Mar 2019 03:57:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 28 22:57:38 2019
Received: from localhost ([127.0.0.1]:55699 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gzZIm-0003uw-9k
	for submit <at> debbugs.gnu.org; Thu, 28 Feb 2019 22:57:36 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58615)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1gzZIk-0003uk-Bk
 for 34589 <at> debbugs.gnu.org; Thu, 28 Feb 2019 22:57:34 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57227)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1gzZIf-0000JR-3w; Thu, 28 Feb 2019 22:57:29 -0500
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1gzZIe-0002RV-T1; Thu, 28 Feb 2019 22:57:28 -0500
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
In-Reply-To: <CABehr5f332Fca7kxbJw9QSwYWP352=CU13=RiH9vLHCdKHWGUA@HIDDEN>
 (message from Gustaf Waldemarson on Thu, 28 Feb 2019 17:05:35 +0100)
Subject: Re: bug#34589: 26.1.91; GDB-MI Display Complex Data Types
References: <CABehr5eM22py479W2mS0cpGrfy2TeHRyMkWNnzGc+kcNHWwaVw@HIDDEN>
 <83wolugz2r.fsf@HIDDEN>
 <CABehr5cEUkmz-QUu4Gkb4-OmaU4XLNuTgP8NOaXfJUnwuBV0Ng@HIDDEN>
 <83va1aq1ui.fsf@HIDDEN>
 <CABehr5dzJXvkD4s2VsVQ=uHqbn5va+3cmMQAPy1CW=VXRBrPdg@HIDDEN>
 <83o972pz92.fsf@HIDDEN>
 <CABehr5f332Fca7kxbJw9QSwYWP352=CU13=RiH9vLHCdKHWGUA@HIDDEN>
Message-Id: <E1gzZIe-0002RV-T1@HIDDEN>
Date: Thu, 28 Feb 2019 22:57:28 -0500
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34589
Cc: eliz@HIDDEN, 34589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

Thanks for trying to contribute.

The best time to negotiate with any employer about contributing to
free software is when you accept the job.  That is when you have
leverage.

If you think you have a chance of findin another job, you might want
to look for one, negotiating for a suitable copyright disclaimer about
contributions to free software as part of your employment contract
itself.  Do ask your lawyer (NOT the company's lawyer) to check it.

Then you could tell Arm and your fellow employees that you are quitting,
and say why.

Every time people say no to something convenient or attractive for the
sake of a moral principle, it helps teach the idea that moral issues
really matter.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34589; Package emacs. Full text available.

Message received at 34589 <at> debbugs.gnu.org:


Received: (at 34589) by debbugs.gnu.org; 28 Feb 2019 17:59:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 28 12:59:09 2019
Received: from localhost ([127.0.0.1]:55497 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gzPxd-00027s-EA
	for submit <at> debbugs.gnu.org; Thu, 28 Feb 2019 12:59:09 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56305)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gzPxb-00027f-7Y
 for 34589 <at> debbugs.gnu.org; Thu, 28 Feb 2019 12:59:07 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43767)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gzPxN-0001Cs-8t; Thu, 28 Feb 2019 12:58:56 -0500
Received: from [176.228.60.248] (port=4765 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gzPxC-0000x8-9N; Thu, 28 Feb 2019 12:58:45 -0500
Date: Thu, 28 Feb 2019 19:58:21 +0200
Message-Id: <83fts7kd6q.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
In-reply-to: <CABehr5f332Fca7kxbJw9QSwYWP352=CU13=RiH9vLHCdKHWGUA@HIDDEN>
 (message from Gustaf Waldemarson on Thu, 28 Feb 2019 17:05:35 +0100)
Subject: Re: bug#34589: 26.1.91; GDB-MI Display Complex Data Types
References: <CABehr5eM22py479W2mS0cpGrfy2TeHRyMkWNnzGc+kcNHWwaVw@HIDDEN>
 <83wolugz2r.fsf@HIDDEN>
 <CABehr5cEUkmz-QUu4Gkb4-OmaU4XLNuTgP8NOaXfJUnwuBV0Ng@HIDDEN>
 <83va1aq1ui.fsf@HIDDEN>
 <CABehr5dzJXvkD4s2VsVQ=uHqbn5va+3cmMQAPy1CW=VXRBrPdg@HIDDEN>
 <83o972pz92.fsf@HIDDEN>
 <CABehr5f332Fca7kxbJw9QSwYWP352=CU13=RiH9vLHCdKHWGUA@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34589
Cc: 34589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
> Date: Thu, 28 Feb 2019 17:05:35 +0100
> Cc: 34589 <at> debbugs.gnu.org
> 
> I'm afraid I have some bad news regarding the patches. As I was
> looking for someone internally at Arm to sign the employer disclaimer
> I was stopped by the legal department. Apparently Arm has taken the
> stance that signing such a disclaimer could "open a legal door which
> could expose intellectual property in the future". Thus, I'm afraid no
> one at Arm will sign such a disclaimer at this time and consequently,
> these patches cannot be used in Emacs.
> 
> I'm not exactly a lawyer, but I believe the patches can still be used
> as a reference for implementing the feature, but as I mentioned I'm
> afraid they cannot be used as-is.
> 
> Sorry about the trouble, I didn't really expect the company to stop
> something like this.

Sorry to hear that.

Does the first patch have value on its own?  If so, we can accept it
without legal paperwork.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34589; Package emacs. Full text available.

Message received at 34589 <at> debbugs.gnu.org:


Received: (at 34589) by debbugs.gnu.org; 28 Feb 2019 17:25:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 28 12:25:06 2019
Received: from localhost ([127.0.0.1]:55439 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gzPQf-0001HX-Sy
	for submit <at> debbugs.gnu.org; Thu, 28 Feb 2019 12:25:06 -0500
Received: from mail-wr1-f54.google.com ([209.85.221.54]:35698)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andrew.w.nosenko@HIDDEN>) id 1gzPQc-0001Gy-EN
 for 34589 <at> debbugs.gnu.org; Thu, 28 Feb 2019 12:25:02 -0500
Received: by mail-wr1-f54.google.com with SMTP id t18so22886798wrx.2
 for <34589 <at> debbugs.gnu.org>; Thu, 28 Feb 2019 09:25:02 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=2cq7fyC6MMvjaxbQ/Xhm0nJUx+OB1whWgHQdFDyadfo=;
 b=efEXyclPxvATGfGJDwx05TtJayxqmsvMTXxtuNxRxk844jZ8TorCjbBix0YZ53J5na
 tFo2ha+ofhjQcfGGHHUtZc0fwbuTYm6x0DLLYTZmnSCNsdU9DwOh/9u7moCRmTnV9Hzs
 ol0fsdhGv1PG55qsLr2wgSOQbHA0chALF4OPFolZeFi/fFKdUO/80pZqCYrg0wFjG7Ji
 aEG4r4aZgRasZYmbnCuyHTFy+ZBCfSbXjx53rsg0pFqcvW56F1SgWT9T6fFOifzKm7u9
 m3D80JG7YvWJ90WShROYOpOtGc5bIrpmmUCLSIboPuqaYdTRfMsHhS4Kb7fOG2emmDhw
 ArEQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=2cq7fyC6MMvjaxbQ/Xhm0nJUx+OB1whWgHQdFDyadfo=;
 b=jzvBkf+G9VWrdNSZfRaG9P5bAkMErE200FOXXrph20zBYD8zfWAqjdxmt5XFUHSdcm
 35jZGcOoeA1jsCboLNhGXMcfmQcoTg2GIn5/J5dSlh2XHlVCrfVBtT43PZZctlXrrX4u
 CGSBwQEZrDmGeA8T61Ab6mOta+HQQivEIIPkBmYa5KBBkiZf1XY2sVICb6LaEa4NNGpj
 Wk3LeRlWoT6B9VePU3yfBx8hi9yfcRvHEFkspUX/ZxFfjAa3I7a8T59xoqh5Fo8ZANSf
 EdtkBzqd2o05Yyke8wgLogR5PbtMNi34WpEC6tVtW0Z6N4LN+ZAiTSS1SotnaY9M+i4S
 TUCA==
X-Gm-Message-State: APjAAAU/V140yCEN9QsqLTx3UPLQVtfha0FRv1W5JIoDYCRUZkMe9Nuu
 FlaIwgRop+zIIGemFXH6vtucgyZE2GDEdfSmtTY=
X-Google-Smtp-Source: APXvYqx63U4vCH5nxZ9q3fbVEGFF2zH+zr+h3RpBoUsARVcSdH+60B7N8d9/XjAwv3uqkPQ6WVfPs/Jgl1CCIV8PPFI=
X-Received: by 2002:adf:efc8:: with SMTP id i8mr374185wrp.164.1551374696549;
 Thu, 28 Feb 2019 09:24:56 -0800 (PST)
MIME-Version: 1.0
References: <CABehr5eM22py479W2mS0cpGrfy2TeHRyMkWNnzGc+kcNHWwaVw@HIDDEN>
 <83wolugz2r.fsf@HIDDEN>
 <CABehr5cEUkmz-QUu4Gkb4-OmaU4XLNuTgP8NOaXfJUnwuBV0Ng@HIDDEN>
 <83va1aq1ui.fsf@HIDDEN>
 <CABehr5dzJXvkD4s2VsVQ=uHqbn5va+3cmMQAPy1CW=VXRBrPdg@HIDDEN>
 <83o972pz92.fsf@HIDDEN>
 <CABehr5f332Fca7kxbJw9QSwYWP352=CU13=RiH9vLHCdKHWGUA@HIDDEN>
In-Reply-To: <CABehr5f332Fca7kxbJw9QSwYWP352=CU13=RiH9vLHCdKHWGUA@HIDDEN>
From: "Andrew W. Nosenko" <andrew.w.nosenko@HIDDEN>
Date: Thu, 28 Feb 2019 19:24:45 +0200
Message-ID: <CALa-7vy+2J4vGuCF_-aMmWJmFJNuwG6SXKg2qMScVnYjgpNgoA@HIDDEN>
Subject: Re: bug#34589: 26.1.91; GDB-MI Display Complex Data Types
To: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000b394b60582f7916f"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34589
Cc: Eli Zaretskii <eliz@HIDDEN>, 34589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000b394b60582f7916f
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

> Apparently Arm has taken the
stance that signing such a disclaimer could "open a legal door which
could expose intellectual property in the future".

May be narrowing to very specific area (emacs, gdb-mi, no-arm-specific)
would help?


On Thu, Feb 28, 2019 at 6:06 PM Gustaf Waldemarson <
gustaf.waldemarson@HIDDEN> wrote:

> I'm afraid I have some bad news regarding the patches. As I was
> looking for someone internally at Arm to sign the employer disclaimer
> I was stopped by the legal department. Apparently Arm has taken the
> stance that signing such a disclaimer could "open a legal door which
> could expose intellectual property in the future". Thus, I'm afraid no
> one at Arm will sign such a disclaimer at this time and consequently,
> these patches cannot be used in Emacs.
>
> I'm not exactly a lawyer, but I believe the patches can still be used
> as a reference for implementing the feature, but as I mentioned I'm
> afraid they cannot be used as-is.
>
> Sorry about the trouble, I didn't really expect the company to stop
> something like this.
>
>
> Den l=C3=B6r 23 feb. 2019 kl 11:37 skrev Eli Zaretskii <eliz@HIDDEN>:
> >
> > > From: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
> > > Date: Sat, 23 Feb 2019 11:01:53 +0100
> > > Cc: 34589 <at> debbugs.gnu.org
> > >
> > > Anytime! And I'm fine with signing away the copyright, so feel free t=
o
> > > get the paperwork rolling :)
> >
> > Form sent off-list.
>
>
>
>

--=20
Andrew W. Nosenko <andrew.w.nosenko@HIDDEN>

--000000000000b394b60582f7916f
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr">&gt;=C2=A0Apparently Arm has taken the<br=
>stance that signing such a disclaimer could &quot;open a legal door which<=
br>could expose intellectual property in the future&quot;.=C2=A0</div><div =
dir=3D"ltr"><br></div><div>May be narrowing to very specific area (emacs, g=
db-mi, no-arm-specific) would help?=C2=A0</div><div><br></div></div><br><di=
v class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Thu, Feb 2=
8, 2019 at 6:06 PM Gustaf Waldemarson &lt;<a href=3D"mailto:gustaf.waldemar=
son@HIDDEN">gustaf.waldemarson@HIDDEN</a>&gt; wrote:<br></div><blockq=
uote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left-wi=
dth:1px;border-left-style:solid;border-left-color:rgb(204,204,204);padding-=
left:1ex">I&#39;m afraid I have some bad news regarding the patches. As I w=
as<br>
looking for someone internally at Arm to sign the employer disclaimer<br>
I was stopped by the legal department. Apparently Arm has taken the<br>
stance that signing such a disclaimer could &quot;open a legal door which<b=
r>
could expose intellectual property in the future&quot;. Thus, I&#39;m afrai=
d no<br>
one at Arm will sign such a disclaimer at this time and consequently,<br>
these patches cannot be used in Emacs.<br>
<br>
I&#39;m not exactly a lawyer, but I believe the patches can still be used<b=
r>
as a reference for implementing the feature, but as I mentioned I&#39;m<br>
afraid they cannot be used as-is.<br>
<br>
Sorry about the trouble, I didn&#39;t really expect the company to stop<br>
something like this.<br>
<br>
<br>
Den l=C3=B6r 23 feb. 2019 kl 11:37 skrev Eli Zaretskii &lt;<a href=3D"mailt=
o:eliz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt;:<br>
&gt;<br>
&gt; &gt; From: Gustaf Waldemarson &lt;<a href=3D"mailto:gustaf.waldemarson=
@gmail.com" target=3D"_blank">gustaf.waldemarson@HIDDEN</a>&gt;<br>
&gt; &gt; Date: Sat, 23 Feb 2019 11:01:53 +0100<br>
&gt; &gt; Cc: <a href=3D"mailto:34589 <at> debbugs.gnu.org" target=3D"_blank">34=
589 <at> debbugs.gnu.org</a><br>
&gt; &gt;<br>
&gt; &gt; Anytime! And I&#39;m fine with signing away the copyright, so fee=
l free to<br>
&gt; &gt; get the paperwork rolling :)<br>
&gt;<br>
&gt; Form sent off-list.<br>
<br>
<br>
<br>
</blockquote></div><br clear=3D"all"><div><br></div>-- <br><div dir=3D"ltr"=
 class=3D"gmail_signature">Andrew W. Nosenko &lt;<a href=3D"mailto:andrew.w=
.nosenko@HIDDEN" target=3D"_blank">andrew.w.nosenko@HIDDEN</a>&gt;</d=
iv>

--000000000000b394b60582f7916f--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34589; Package emacs. Full text available.

Message received at 34589 <at> debbugs.gnu.org:


Received: (at 34589) by debbugs.gnu.org; 28 Feb 2019 16:05:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 28 11:05:54 2019
Received: from localhost ([127.0.0.1]:55397 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gzOC2-0005kq-D4
	for submit <at> debbugs.gnu.org; Thu, 28 Feb 2019 11:05:54 -0500
Received: from mail-ed1-f48.google.com ([209.85.208.48]:34670)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gustaf.waldemarson@HIDDEN>) id 1gzOC1-0005ka-Dq
 for 34589 <at> debbugs.gnu.org; Thu, 28 Feb 2019 11:05:54 -0500
Received: by mail-ed1-f48.google.com with SMTP id a16so17458911edn.1
 for <34589 <at> debbugs.gnu.org>; Thu, 28 Feb 2019 08:05:53 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=FCCDrwZrQw7m0ChU7FQGvdoWH2dSqQ6TPUCrDB1vasY=;
 b=OXehukB6sQXPabN0S8R/NbodRwPFiCPuTRXyO/Z3dzzLBbEPpOWa2D0NKWZUXiospv
 QdCX1aKGCu1ZUAEfUA/8Tk4Gbt4jEnpPEXrba0MKFPDxufqTDYZg1sz9uu7YYxiOT+1a
 jQCzlPUGWgcO9U1RRhainkOIP9XBEwffbyG+6bO62gCpjOnsxRNPYDSGM+AGBPJsBIzi
 fC7uScKvDLQGeVhkk8bb3DYxkNFOgU3DVtgAFLocheyRgAbAwz30ej0fMDjWoW+YGm42
 9YGE2Ze4Ikav5vhmB9o7WSDLPrC75m4V6/pfiHoAY58qmcRUo01WQbFOWURCWBsQ3C0/
 TzHA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=FCCDrwZrQw7m0ChU7FQGvdoWH2dSqQ6TPUCrDB1vasY=;
 b=hY21qKomQBAEu8UT6xplVCHgdXgvWhZcM5zG9+uW4FxBHv+TRD72gV3D6yjF1we1Kt
 t91NmTQuc6aZjlIA1SoqCOsrEOUITpC+vf/4mD2w384twoRfHyQuIYIgpttHyXAhOfRb
 Y2b5LfkeU9/7talWqbJuHAX+wpStGDV1bmimh5gpA33gA8TA970SpOxIy5k71Q5ZpoBI
 iMHNfOrHujrbq1Z5fbvmEngDDEE5jFn8QPwWvwYf6iifS4P2Yx58NVShu8zGsIGGecnI
 CnJ5wvAm4ls/UkfZq2pFH9fF0RTddDxraD/OxsPUSKalUKsgY3xt6sfbHbxZCpUmhkyh
 ZrQA==
X-Gm-Message-State: APjAAAVFFRY9GfIzdAn5/pClNzkQsqeFP4PAw8r9VlRIwIt+tS/ufUqK
 MzKxdWj8RqbzPPxD6EthqG4oCxRcTyzvHbmMLWk=
X-Google-Smtp-Source: APXvYqzoN3+jsfJiXSAHfKyM73pImcG95sLzl0pEluNV6y9maI38Fkhkt2yCBCSK/HJFENuGKpfke5dmQx/C/8WoFTs=
X-Received: by 2002:a50:baab:: with SMTP id x40mr282191ede.244.1551369947515; 
 Thu, 28 Feb 2019 08:05:47 -0800 (PST)
MIME-Version: 1.0
References: <CABehr5eM22py479W2mS0cpGrfy2TeHRyMkWNnzGc+kcNHWwaVw@HIDDEN>
 <83wolugz2r.fsf@HIDDEN>
 <CABehr5cEUkmz-QUu4Gkb4-OmaU4XLNuTgP8NOaXfJUnwuBV0Ng@HIDDEN>
 <83va1aq1ui.fsf@HIDDEN>
 <CABehr5dzJXvkD4s2VsVQ=uHqbn5va+3cmMQAPy1CW=VXRBrPdg@HIDDEN>
 <83o972pz92.fsf@HIDDEN>
In-Reply-To: <83o972pz92.fsf@HIDDEN>
From: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
Date: Thu, 28 Feb 2019 17:05:35 +0100
Message-ID: <CABehr5f332Fca7kxbJw9QSwYWP352=CU13=RiH9vLHCdKHWGUA@HIDDEN>
Subject: Re: bug#34589: 26.1.91; GDB-MI Display Complex Data Types
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34589
Cc: 34589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I'm afraid I have some bad news regarding the patches. As I was
looking for someone internally at Arm to sign the employer disclaimer
I was stopped by the legal department. Apparently Arm has taken the
stance that signing such a disclaimer could "open a legal door which
could expose intellectual property in the future". Thus, I'm afraid no
one at Arm will sign such a disclaimer at this time and consequently,
these patches cannot be used in Emacs.

I'm not exactly a lawyer, but I believe the patches can still be used
as a reference for implementing the feature, but as I mentioned I'm
afraid they cannot be used as-is.

Sorry about the trouble, I didn't really expect the company to stop
something like this.


Den l=C3=B6r 23 feb. 2019 kl 11:37 skrev Eli Zaretskii <eliz@HIDDEN>:
>
> > From: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
> > Date: Sat, 23 Feb 2019 11:01:53 +0100
> > Cc: 34589 <at> debbugs.gnu.org
> >
> > Anytime! And I'm fine with signing away the copyright, so feel free to
> > get the paperwork rolling :)
>
> Form sent off-list.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34589; Package emacs. Full text available.

Message received at 34589 <at> debbugs.gnu.org:


Received: (at 34589) by debbugs.gnu.org; 23 Feb 2019 10:37:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 23 05:37:10 2019
Received: from localhost ([127.0.0.1]:48930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gxUg9-0007M0-PF
	for submit <at> debbugs.gnu.org; Sat, 23 Feb 2019 05:37:09 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35106)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gxUg8-0007Ln-4v
 for 34589 <at> debbugs.gnu.org; Sat, 23 Feb 2019 05:37:08 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48464)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gxUfv-00074E-Eb; Sat, 23 Feb 2019 05:36:59 -0500
Received: from [176.228.60.248] (port=2218 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gxUfr-0003h9-Pn; Sat, 23 Feb 2019 05:36:55 -0500
Date: Sat, 23 Feb 2019 12:36:57 +0200
Message-Id: <83o972pz92.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
In-reply-to: <CABehr5dzJXvkD4s2VsVQ=uHqbn5va+3cmMQAPy1CW=VXRBrPdg@HIDDEN>
 (message from Gustaf Waldemarson on Sat, 23 Feb 2019 11:01:53 +0100)
Subject: Re: bug#34589: 26.1.91; GDB-MI Display Complex Data Types
References: <CABehr5eM22py479W2mS0cpGrfy2TeHRyMkWNnzGc+kcNHWwaVw@HIDDEN>
 <83wolugz2r.fsf@HIDDEN>
 <CABehr5cEUkmz-QUu4Gkb4-OmaU4XLNuTgP8NOaXfJUnwuBV0Ng@HIDDEN>
 <83va1aq1ui.fsf@HIDDEN>
 <CABehr5dzJXvkD4s2VsVQ=uHqbn5va+3cmMQAPy1CW=VXRBrPdg@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34589
Cc: 34589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
> Date: Sat, 23 Feb 2019 11:01:53 +0100
> Cc: 34589 <at> debbugs.gnu.org
> 
> Anytime! And I'm fine with signing away the copyright, so feel free to
> get the paperwork rolling :)

Form sent off-list.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34589; Package emacs. Full text available.

Message received at 34589 <at> debbugs.gnu.org:


Received: (at 34589) by debbugs.gnu.org; 23 Feb 2019 10:02:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 23 05:02:15 2019
Received: from localhost ([127.0.0.1]:48907 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gxU8K-0006Xc-Kx
	for submit <at> debbugs.gnu.org; Sat, 23 Feb 2019 05:02:15 -0500
Received: from mail-ed1-f45.google.com ([209.85.208.45]:33752)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gustaf.waldemarson@HIDDEN>) id 1gxU8J-0006XP-BE
 for 34589 <at> debbugs.gnu.org; Sat, 23 Feb 2019 05:02:11 -0500
Received: by mail-ed1-f45.google.com with SMTP id c55so3853555edb.0
 for <34589 <at> debbugs.gnu.org>; Sat, 23 Feb 2019 02:02:11 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=UN6/f9495FSyhT1Rn3/IIYqLd1QDdqI1xQ0tgVlqspE=;
 b=PUmYZFORB4uakxlkh+oTonKCw8yrkynl3sOnuVfA0/RVgR8ZVVx3yKn36YHqmz2vvD
 0loUUrDYccUzWOzAn4KbqsyknPYA8OTGRdUFqSr60JVaB5UC5c1BckImFnAJs966zxt5
 H6QRntzR3rJ9/jxxm3LYEK0HQC+/Ygb1PhmWwzq34jlrjKxea5NoHT7h9auqPTe2UQoF
 vL4cKrFZHTvHHIVYKKPDNvq02P6/haY09oAaC2ggwCz+VMcLwcM6cKX67Eei1UTw59SU
 Klk7k88lomNRAjrZ2bo0I3KX3hXvzNM7hvWbDRtBbMHf3wGBtv594YB8SexefPzcH2P2
 +8TQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=UN6/f9495FSyhT1Rn3/IIYqLd1QDdqI1xQ0tgVlqspE=;
 b=bR1yr+UVFLt1K406J220GNIlzXo5Ae59S73UjFAQcdL7eeEXtB9Lk+4NYlwNLDp+pH
 jv+u+eMl3FI+PeRO1oaL1uUAKvlM3o51UE17vURsCNT0FMdPasd3Lac+XOjVvEeDdCYi
 ewRQrLCr6OlQXKEbDpx+bUBCwAdBm4yGdw7SAqptEpMQJD9UlUI80SXdqFzoXSrOgzcc
 v5aydk+gQ6y5hr6i7UVJc+K28+m9PbQZRHx1DFbE3Y1ZEvz1rDwoW1LGU0Bfu9t1oGpP
 icD4Zigel+JUGtjA6ll1GffVZGeFsbo+gQDMPZApV/MOXZnI9ujo17Ja7LxWwsJf33zx
 dKQA==
X-Gm-Message-State: AHQUAubRy9QMPP/FS9o0uSwKyp/eBNEhGdFm/y5qlzfDn68HtW/6djej
 mBaEDLabaNyuZ7Qq8if+QCrH1BRcxdSa4zYgbSYTQg==
X-Google-Smtp-Source: AHgI3IajgzM3uRp5IZQ290mHxIyYuY1psw5OwJydGd9FOOKv/3IkWqx77c+cm1om8sU5FJ51YNrHsUtNCoaIlL2RXEA=
X-Received: by 2002:a05:6402:1682:: with SMTP id
 a2mr6518020edv.158.1550916125147; 
 Sat, 23 Feb 2019 02:02:05 -0800 (PST)
MIME-Version: 1.0
References: <CABehr5eM22py479W2mS0cpGrfy2TeHRyMkWNnzGc+kcNHWwaVw@HIDDEN>
 <83wolugz2r.fsf@HIDDEN>
 <CABehr5cEUkmz-QUu4Gkb4-OmaU4XLNuTgP8NOaXfJUnwuBV0Ng@HIDDEN>
 <83va1aq1ui.fsf@HIDDEN>
In-Reply-To: <83va1aq1ui.fsf@HIDDEN>
From: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
Date: Sat, 23 Feb 2019 11:01:53 +0100
Message-ID: <CABehr5dzJXvkD4s2VsVQ=uHqbn5va+3cmMQAPy1CW=VXRBrPdg@HIDDEN>
Subject: Re: bug#34589: 26.1.91; GDB-MI Display Complex Data Types
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34589
Cc: 34589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Anytime! And I'm fine with signing away the copyright, so feel free to
get the paperwork rolling :)

/Gustaf

Den l=C3=B6r 23 feb. 2019 kl 10:40 skrev Eli Zaretskii <eliz@HIDDEN>:
>
> > From: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
> > Date: Thu, 21 Feb 2019 14:42:54 +0100
> > Cc: 34589 <at> debbugs.gnu.org
> >
> > I've attached the patches that accomplishes the above, but you may
> > want to have someone review it that actually knows at bit more about
> > gdb-mi.el.
>
> Thanks, I will review this soon.  But in any case, this is too large
> for us to accept without you assigning the copyright.  Would you like
> to start the legal paperwork rolling, so that it's done by the time we
> are ready to install the changes?  If yes, I will send you the form
> off-list.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34589; Package emacs. Full text available.

Message received at 34589 <at> debbugs.gnu.org:


Received: (at 34589) by debbugs.gnu.org; 23 Feb 2019 09:40:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 23 04:40:57 2019
Received: from localhost ([127.0.0.1]:48891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gxTnk-00061i-UD
	for submit <at> debbugs.gnu.org; Sat, 23 Feb 2019 04:40:57 -0500
Received: from eggs.gnu.org ([209.51.188.92]:49708)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gxTnj-00061U-08
 for 34589 <at> debbugs.gnu.org; Sat, 23 Feb 2019 04:40:55 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47970)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gxTnc-0001EK-Vz; Sat, 23 Feb 2019 04:40:49 -0500
Received: from [176.228.60.248] (port=2383 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gxTnc-0006mt-HA; Sat, 23 Feb 2019 04:40:48 -0500
Date: Sat, 23 Feb 2019 11:40:53 +0200
Message-Id: <83va1aq1ui.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
In-reply-to: <CABehr5cEUkmz-QUu4Gkb4-OmaU4XLNuTgP8NOaXfJUnwuBV0Ng@HIDDEN>
 (message from Gustaf Waldemarson on Thu, 21 Feb 2019 14:42:54 +0100)
Subject: Re: bug#34589: 26.1.91; GDB-MI Display Complex Data Types
References: <CABehr5eM22py479W2mS0cpGrfy2TeHRyMkWNnzGc+kcNHWwaVw@HIDDEN>
 <83wolugz2r.fsf@HIDDEN>
 <CABehr5cEUkmz-QUu4Gkb4-OmaU4XLNuTgP8NOaXfJUnwuBV0Ng@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34589
Cc: 34589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
> Date: Thu, 21 Feb 2019 14:42:54 +0100
> Cc: 34589 <at> debbugs.gnu.org
> 
> I've attached the patches that accomplishes the above, but you may
> want to have someone review it that actually knows at bit more about
> gdb-mi.el.

Thanks, I will review this soon.  But in any case, this is too large
for us to accept without you assigning the copyright.  Would you like
to start the legal paperwork rolling, so that it's done by the time we
are ready to install the changes?  If yes, I will send you the form
off-list.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34589; Package emacs. Full text available.

Message received at 34589 <at> debbugs.gnu.org:


Received: (at 34589) by debbugs.gnu.org; 21 Feb 2019 13:43:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 21 08:43:15 2019
Received: from localhost ([127.0.0.1]:59030 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwod8-0001Ee-Gq
	for submit <at> debbugs.gnu.org; Thu, 21 Feb 2019 08:43:15 -0500
Received: from mail-ed1-f51.google.com ([209.85.208.51]:40898)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gustaf.waldemarson@HIDDEN>) id 1gwod6-0001ER-8T
 for 34589 <at> debbugs.gnu.org; Thu, 21 Feb 2019 08:43:13 -0500
Received: by mail-ed1-f51.google.com with SMTP id 10so23142537eds.7
 for <34589 <at> debbugs.gnu.org>; Thu, 21 Feb 2019 05:43:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=2ggjugB8rkAMrqHcS6ve/vwJRPZMD7N0siW2UA5L2eQ=;
 b=iFdHnlvU9YfWXld4/tDb6KYJ4YHLqo/Iem7nYw4ycXipdnqZgd3ofiKg/k/Esy1D3/
 8eAqae8AfBFLOkr7pGsiAJG8Cr3VuH3Ly7tSz44Qa+F/mXUf6QBmR9mR6YvchbzKtsd0
 vY3UWF2ddquNRpjsI2g+efbz2Go248ab6wl3kX5u0FUBt2BuNC3N2EnWSH86qdp+bjXI
 7r8GH/7wO57qUcLwEVUgyaodGmaL4vlwsYFzvvpifXsCu4RPuKJGZKe463GLOEKFPKpV
 aygufx7vHrfv9FrDrX7htBmK6hMEkh+QYxf59V4NexrVB3b1HzLUa4UJ5Tgq2b2CeCI9
 EayQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=2ggjugB8rkAMrqHcS6ve/vwJRPZMD7N0siW2UA5L2eQ=;
 b=WeFr8VdiQeMzpqzYvZB5wR2X2jeY7Zeqr3U8hGPlHprZwrlCW3C6ZL9T72w4t9I2kF
 ELyO2KJIjiv0E6/057KuwtUs4954hDtJnOiLpFDn+QLQjqObYaTSIwWzQRuipbrzKyR5
 WT955sTm4ROrEYYz3ALEg8B753LY5x7xOjRCWhQZjN6euxh8a+nD51vVeodCyrgFXBZh
 2HyyM6bXk0UjzWW7/ivoM2aUKOEDcHnrS7KD4fyzeVB1rE5YHL552vm4BpukML3Bxe3c
 k7RdxdyYOdLXB+iHpOh4sr182/S7zDuTJmvqKNzPPQIplAn4Y8vlM36cRQOODPSD77AM
 EH/A==
X-Gm-Message-State: AHQUAuaYmRAKrcV1EgTZ0YZbGbMnOFgXC8ZOs3UvUhRVUcOESpCeNtCQ
 2I9mRt04tbJoIkZ3I9T4/QgqrHSlL+WCU+evFVE=
X-Google-Smtp-Source: AHgI3IbOtmvUVHd2b8qjpirLLXv2qeUqk6ccdK8hGv/Uzbcvt7bYA5nwqFPdGFKyTJtyF/cY2g5Md0eGsc0bXYh5o7o=
X-Received: by 2002:a17:906:3d69:: with SMTP id
 r9mr23408768ejf.92.1550756586131; 
 Thu, 21 Feb 2019 05:43:06 -0800 (PST)
MIME-Version: 1.0
References: <CABehr5eM22py479W2mS0cpGrfy2TeHRyMkWNnzGc+kcNHWwaVw@HIDDEN>
 <83wolugz2r.fsf@HIDDEN>
In-Reply-To: <83wolugz2r.fsf@HIDDEN>
From: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
Date: Thu, 21 Feb 2019 14:42:54 +0100
Message-ID: <CABehr5cEUkmz-QUu4Gkb4-OmaU4XLNuTgP8NOaXfJUnwuBV0Ng@HIDDEN>
Subject: Re: bug#34589: 26.1.91; GDB-MI Display Complex Data Types
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/mixed; boundary="00000000000074041b058267a737"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34589
Cc: 34589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000074041b058267a737
Content-Type: text/plain; charset="UTF-8"

I took a stab at it, but it turned out to be a bit more complicated
than I thought:

- The `-stack-list-locals` accepts one of three flags, 0, 1, or 2 (or
equivalently, --no-values, --all-values or --simple-values).
   - No-values only prints the variable name,
   - All values print the variable name and the associated value.
   - Simple-values print the name, type and value for simple types.
   - There is no option to print everything (name, type and value),
this feels like an oversight in the API, but can be worked around,
sort of.

What I ended up doing was to create a new "handler" that runs before
the original one that records the variable name/value pair in a
hash-table, that the original handler can refer to for the value of
complex data-types. This works. but feels like a significant
work-around.

Additionally, when I was going through the GDB-MI documentation, I
noticed that `-stack-list-locals` is deprecated and should be replaced
with `-stack-list-variables`, so the second patch fixes that.
Incidentally, this also allow function arguments (argv, argc, etc) to
show up in the variable buffer.

I've attached the patches that accomplishes the above, but you may
want to have someone review it that actually knows at bit more about
gdb-mi.el.

I haven't contributed anything before either, so there might very well
be some other details that I've missed.

Best regards,
Gustaf


Den ons 20 feb. 2019 kl 18:16 skrev Eli Zaretskii <eliz@HIDDEN>:
>
> > From: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
> > Date: Wed, 20 Feb 2019 11:08:15 +0100
> >
> > Since as C++ (and other languages) is moving more and more towards these
> > kinds non-simple data types, I figured I should send out a feature
> > request for something like the following:
> >
> > - Remove "--simple-values" by default.
> >
> > - Add a customizable variable such as `gdb-simple-values-only`, which
> >   adds the above flag.
> >
> > - Add a customizable variable such as `gdb-locals-value-limit` to limit
> >   the length a value is allowed to be shown.
> >
> > - Add a simple filter of the retrieved value string to make it fit on a
> >   single line (e.g., a simple version could just remove all newlines).
>
> Thanks.  We don't have an active developer for gdb-mi.el for the
> moment, so please consider writing these changes and submitting the
> patches here.

--00000000000074041b058267a737
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0002-gdb-mi.el-Use-stack-list-variables.patch"
Content-Disposition: attachment; 
	filename="0002-gdb-mi.el-Use-stack-list-variables.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_jseob1jq1>
X-Attachment-Id: f_jseob1jq1
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--00000000000074041b058267a737
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-gdb-mi.el-Display-complex-data-types.patch"
Content-Disposition: attachment; 
	filename="0001-gdb-mi.el-Display-complex-data-types.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_jseob1jd0>
X-Attachment-Id: f_jseob1jd0
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--00000000000074041b058267a737--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34589; Package emacs. Full text available.

Message received at 34589 <at> debbugs.gnu.org:


Received: (at 34589) by debbugs.gnu.org; 20 Feb 2019 17:16:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 20 12:16:25 2019
Received: from localhost ([127.0.0.1]:58409 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwVTs-0007Hd-Nb
	for submit <at> debbugs.gnu.org; Wed, 20 Feb 2019 12:16:24 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56421)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gwVTq-0007HN-D5
 for 34589 <at> debbugs.gnu.org; Wed, 20 Feb 2019 12:16:22 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35953)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gwVTl-0002f7-7G; Wed, 20 Feb 2019 12:16:17 -0500
Received: from [176.228.60.248] (port=2182 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gwVTk-0004hZ-NX; Wed, 20 Feb 2019 12:16:17 -0500
Date: Wed, 20 Feb 2019 19:16:28 +0200
Message-Id: <83wolugz2r.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
In-reply-to: <CABehr5eM22py479W2mS0cpGrfy2TeHRyMkWNnzGc+kcNHWwaVw@HIDDEN>
 (message from Gustaf Waldemarson on Wed, 20 Feb 2019 11:08:15 +0100)
Subject: Re: bug#34589: 26.1.91; GDB-MI Display Complex Data Types
References: <CABehr5eM22py479W2mS0cpGrfy2TeHRyMkWNnzGc+kcNHWwaVw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34589
Cc: 34589 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
> Date: Wed, 20 Feb 2019 11:08:15 +0100
> 
> Since as C++ (and other languages) is moving more and more towards these
> kinds non-simple data types, I figured I should send out a feature
> request for something like the following:
> 
> - Remove "--simple-values" by default.
> 
> - Add a customizable variable such as `gdb-simple-values-only`, which
>   adds the above flag.
> 
> - Add a customizable variable such as `gdb-locals-value-limit` to limit
>   the length a value is allowed to be shown.
> 
> - Add a simple filter of the retrieved value string to make it fit on a
>   single line (e.g., a simple version could just remove all newlines).

Thanks.  We don't have an active developer for gdb-mi.el for the
moment, so please consider writing these changes and submitting the
patches here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34589; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Feb 2019 10:09:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 20 05:09:08 2019
Received: from localhost ([127.0.0.1]:57196 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwOoL-0000v7-Rm
	for submit <at> debbugs.gnu.org; Wed, 20 Feb 2019 05:09:06 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55352)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gustaf.waldemarson@HIDDEN>) id 1gwOoJ-0000ub-Qq
 for submit <at> debbugs.gnu.org; Wed, 20 Feb 2019 05:09:04 -0500
Received: from lists.gnu.org ([209.51.188.17]:41322)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <gustaf.waldemarson@HIDDEN>)
 id 1gwOoB-0006fq-Fy
 for submit <at> debbugs.gnu.org; Wed, 20 Feb 2019 05:08:56 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41459)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gustaf.waldemarson@HIDDEN>) id 1gwOo7-00026G-2s
 for bug-gnu-emacs@HIDDEN; Wed, 20 Feb 2019 05:08:53 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gustaf.waldemarson@HIDDEN>) id 1gwOo5-0006dK-1O
 for bug-gnu-emacs@HIDDEN; Wed, 20 Feb 2019 05:08:50 -0500
Received: from mail-ed1-x534.google.com ([2a00:1450:4864:20::534]:42164)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <gustaf.waldemarson@HIDDEN>)
 id 1gwOo1-0006XL-5l
 for bug-gnu-emacs@HIDDEN; Wed, 20 Feb 2019 05:08:47 -0500
Received: by mail-ed1-x534.google.com with SMTP id j89so9964209edb.9
 for <bug-gnu-emacs@HIDDEN>; Wed, 20 Feb 2019 02:08:28 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=l7WYlcR2xjdPGtOXk08IaH7R0JABFraISKOrNH98PzI=;
 b=WRQIpwuoqnFnYDVuEQtPdfJv/T3vgHGoSgbM0UowGyeRcWzUaWsJX8AEjTcrBM6+XK
 BCJnA9JbB9uqtrZT079PbulQgP7qL4BRdtlcV5l0asM0S+yZ0faXIHjGJPDPD6G6tE9Q
 5H9vxAf+Wcc8a+48TXm1ERvfUvB2b2n2GVLMD3IN3HWHHX9Qt2Zz5RSas5z3F0srPhJC
 M44MEuU356Sm5I10b4hHjJpdRMk1AOocXduSrwsJQGZIyNvQgF44d1czFRBGtWX5SpEJ
 kYDtvSgQhQpknML8RTl9KGel15j1ePgO23oMeV9DEOkPJq4emazvh5sUB6RscSYbacM6
 TS9g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=l7WYlcR2xjdPGtOXk08IaH7R0JABFraISKOrNH98PzI=;
 b=AQCPQmYBMYiUtEkIhTjdViPTonAPgmJ985KG9inKRfAcAtUm95r9Uv9aGzXdWDa8gI
 X6gmq6VjNMq+cKEBx3tLK3j02w4SMOqZ2F0msytZT0FxalOJQpqkaoGGgJBk2VIQ4UzP
 WR2ISecsjyuMVLtumkbxTZTtVnQGrAJ9YhnoAsYjhxVS3r1Lf/pg6q06QOkTTF3r34Qi
 jU4IcXTDrAT5024he9CvHRCbvSQDX6QNUUrxWyoGg5FWS6NjIdS+VdCecvSvRXmwQVhz
 CPou3pf2HHErQRR99kYijcxoyx+uKroxXjA3vy4BvyVcOCtdbAMCksQEbTdImgQ5GLbw
 p+nQ==
X-Gm-Message-State: AHQUAuZoP5g9Wptp2YGx6MSHM/P5+FvbvkvdYySGHa0jSb6WZy/s3UnV
 xdz2TSlgNlc7JcjneQKv5YWBMIhDtimvnT8gDh8NgQ==
X-Google-Smtp-Source: AHgI3IbqbHtkANzapdKHAmIcrUl3x0v3hBJ+Pj7YHXgyv2y0ixyqV5FbH3+df99q4hte5m5Rs0QINaZsNssBARIMPAE=
X-Received: by 2002:a17:906:1c4b:: with SMTP id
 l11mr23184160ejg.20.1550657306465; 
 Wed, 20 Feb 2019 02:08:26 -0800 (PST)
MIME-Version: 1.0
From: Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>
Date: Wed, 20 Feb 2019 11:08:15 +0100
Message-ID: <CABehr5eM22py479W2mS0cpGrfy2TeHRyMkWNnzGc+kcNHWwaVw@HIDDEN>
Subject: 26.1.91; GDB-MI Display Complex Data Types
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::534
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello,

I've got a minor feature request to the gdb-mi (and possibly a bug to
report). I've recently been coding a lot of C++ where almost every variable is a
class/struct of some kind and up until now I've simply ignored the "locals"
windows since almost every data-type is listed as "<complex data type>".

Eventually though, I looked up why it was doing that instead of doing
some kind of pretty printing, and finally I noticed the
"--simple-values" flag, which causes GDB to print the variable name and
type, but not the value (for "complex" data types).

Since as C++ (and other languages) is moving more and more towards these
kinds non-simple data types, I figured I should send out a feature
request for something like the following:

- Remove "--simple-values" by default.

- Add a customizable variable such as `gdb-simple-values-only`, which
  adds the above flag.

- Add a customizable variable such as `gdb-locals-value-limit` to limit
  the length a value is allowed to be shown.

- Add a simple filter of the retrieved value string to make it fit on a
  single line (e.g., a simple version could just remove all newlines).

Naturally, the having "--simple-values" be default or not is really a
matter of taste, the above merely reflects my personal preference.

There might also be some efficiency concerns for really large
data-structure being sent through the GDB interface, but perhaps that's
already handled elsewhere?

Also, since it is tangential with the above topic: reference and pointer
variables to complex data types *are* being displayed already presumably
unintentionally. And since the output is not filtered, this leads to a
rather distorted local variable window.

A simple example showing the above "bug" can be seen in the program:

#include <iostream>
#include <vector>

using namespace std;

int main(void)
{
    size_t idx = 0;
    vector<int> v{1, 2, 3, 4, 5};
    auto &vr = v;
    for (auto i : v)
    {
        idx++;
        cout << i << endl;
    }
    return 0;
}

(Compile with CXXFLAGS="-std=c++11 -g" and open with gdb-mi as usual).

I guess this is caused by GDB considering references themselves to be
simple values. I believe the proposed feature(s) would fix this issue
and provide a more useful debugging experience.

Best regards,
Gustaf



In GNU Emacs 26.1.91 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
 of 2019-01-10 built on E105888
Repository revision: 9845044fb659735251269213e6e4e6debdd08eee
System Description:    Ubuntu 16.04.5 LTS

Recent messages:
Mark saved where search started
When done with a buffer, type C-x #
Mark saved where search started
Mark set
Mark saved where search started [3 times]
When done with a buffer, type C-x #
Mark saved where search started [2 times]
Quit
delete-backward-char: Text is read-only
Making completion list...

Configured using:
 'configure --prefix=/home/guswal01/.local
 '--program-transform-name=s/^ctags$/ctags.emacs/''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS GLIB NOTIFY
GNUTLS LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM
THREADS LCMS2

Important settings:
  value of $LC_ALL:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Dired by name

Minor modes in effect:
  gdb-many-windows: t
  global-magit-file-mode: t
  diff-auto-refine-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  beacon-mode: t
  flycheck-pos-tip-mode: t
  projectile-mode: t
  hes-mode: t
  global-linum-mode: t
  linum-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  global-company-mode: t
  company-mode: t
  global-anzu-mode: t
  anzu-mode: t
  perspeen-mode: t
  global-atomic-chrome-edit-mode: t
  global-undo-tree-mode: t
  which-key-mode: t
  anyclip-mode: t
  override-global-mode: t
  electric-pair-mode: t
  save-place-mode: t
  global-subword-mode: t
  subword-mode: t
  show-paren-mode: t
  winner-mode: t
  global-auto-revert-mode: t
  xterm-mouse-mode: t
  savehist-mode: t
  ido-everywhere: t
  gud-tooltip-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/guswal01/.emacs.d/elpa/soap-client-3.1.5/soap-inspect hides
/home/guswal01/.local/share/emacs/26.1.91/lisp/net/soap-inspect
/home/guswal01/.emacs.d/elpa/soap-client-3.1.5/soap-client hides
/home/guswal01/.local/share/emacs/26.1.91/lisp/net/soap-client

Features:
(shadow sort bbdb-message mail-extr emacsbug sendmail gnus-async qp
gnus-agent gnus-srvr gnus-score score-mode nnvirtual nntp gnus-ml
gnus-msg disp-table nndoc gnus-cache gnus-dup gnus-art mm-uu mml2015
mm-view mml-smime smime dig mm-archive network-stream starttls url-cache
debbugs-gnu debbugs soap-client url-http url-auth url-gw nsm url
url-proxy url-privacy url-expand url-methods url-history mailcap rng-xsd
rng-dt rng-util xsd-regexp xml eieio-opt speedbar sb-image ezimage
dframe help-fns radix-tree pbrt-mode misearch multi-isearch two-column
iso-transl tabify flycheck-popup-tip gdb-mi ace-window
modern-cpp-font-lock irony-cdb-libclang irony-cdb-json pp
irony-cdb-clang-complete irony-cdb irony-completion irony-snippet irony
irony-iotask face-remap vc-git bug-reference org-rmail org-mhe org-irc
org-info org-gnus nnir gnus-sum gnus-group gnus-undo gnus-start
gnus-cloud nnimap nnmail mail-source tls gnutls utf7 netrc nnoo
parse-time gnus-spec gnus-int gnus-range gnus-win gnus nnheader
org-docview doc-view jka-compr image-mode org-bibtex bibtex org-bbdb
org-w3m org-table ob-latex ob-plantuml ob-org ob-shell ob-gnuplot
ob-python ob-ditaa ob-dot org-element avl-tree generator org org-macro
org-footnote org-pcomplete org-list org-faces org-entities noutline
outline org-version ob-emacs-lisp ob ob-tangle org-src ob-ref ob-lob
ob-table ob-keys ob-exp ob-comint ob-core ob-eval org-compat org-macs
org-loaddefs cal-menu calendar cal-loaddefs guess-language magit-extras
magit-submodule magit-obsolete magit-blame magit-stash magit-bisect
magit-push magit-pull magit-fetch magit-clone magit-remote magit-commit
magit-sequence magit-notes magit-worktree magit-tag magit-merge
magit-branch magit-reset magit-files magit-refs magit-status magit
magit-repos magit-apply magit-wip magit-log which-func imenu magit-diff
smerge-mode diff-mode magit-core magit-autorevert magit-process
magit-margin magit-mode git-commit magit-git magit-section magit-utils
magit-popup crm log-edit message rmc puny format-spec rfc822 mml mml-sec
epa derived epg gnus-util rmail rmail-loaddefs mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums
mail-prsvr mailabbrev mail-utils gmm-utils mailheader pcvs-util add-log
with-editor async-bytecomp async shell pcomplete dired dired-loaddefs
term/tmux term/xterm xterm smart-mode-line-dark-theme smart-mode-line
rich-minority beacon server flymake-proc flymake warnings
auto-complete-config auto-complete popup form-feed paredit nameless
lisp-mnt flyspell ispell whitespace flycheck-pos-tip pos-tip flycheck
find-func dash rainbow-delimiters projectile grep compile ibuf-ext
ibuffer ibuffer-loaddefs highlight-escape-sequences linum
yasnippet-snippets yasnippet company-oddmuse company-keywords
company-etags etags xref project company-gtags company-dabbrev-code
company-dabbrev company-files company-capf company-cmake company-xcode
company-clang company-semantic company-eclim company-template
company-bbdb company anzu thingatpt perspeen perspeen-tab powerline
powerline-separators powerline-themes atomic-chrome websocket url-cookie
url-domsuf url-util bindat subr-x let-alist json map
color-theme-approximate color delim-col hydra-examples windmove rect
hydra lv pcase bbdb bbdb-site timezone cus-edit cus-start cus-load
wid-edit ace-link avy undo-tree diff which-key advice anyclip-mode
cl-extra help-mode diminish use-package use-package-ensure
use-package-delight use-package-diminish use-package-bind-key bind-key
use-package-core finder-inf autoinsert tex-site rx slime-autoloads info
package epg-config url-handlers url-parse auth-source cl-seq eieio
eieio-core cl-macs eieio-loaddefs password-cache url-vars
local-autoloads cwarn cc-mode cc-fonts easymenu cc-guess cc-menus
cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs elec-pair saveplace
cap-words superword subword time-date paren winner autorevert filenotify
xt-mouse tango-dark-theme savehist ido seq byte-opt gv bytecomp
byte-compile cconv gud easy-mmode comint ansi-color ring keybinds
edmacro kmacro cl-loaddefs cl-lib terminals mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 1119702 162902)
 (symbols 48 60024 2)
 (miscs 40 6949 1708)
 (strings 32 201194 30469)
 (string-bytes 1 6831751)
 (vectors 16 81280)
 (vector-slots 8 2121524 238164)
 (floats 8 3772 1218)
 (intervals 56 96783 1278)
 (buffers 992 96)
 (heap 1024 90082 4527))




Acknowledgement sent to Gustaf Waldemarson <gustaf.waldemarson@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#34589; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 30 Sep 2020 18:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.